package com.utopiaindustries.hseobservationsapp.utils.StorageManager;

import java.util.List;

public class ObservationModel {

    private int observationClassId;
    private String hseObservationName;

    private int observationSubClassId;
    private String hseObservationSubClassName;

    private int buildingId;
    private String buildingName;

    private int floorId;
    private String floorName;

    private int departmentId;
    private String departmentName;

    private List<byte[]> beforePictures;
    private List<byte[]> afterPictures;

    private String riskLevel;
    private boolean observationStatus;
    private String description;

    public int getObservationClassId() {
        return observationClassId;
    }

    public void setObservationClassId(int observationClassId) {
        this.observationClassId = observationClassId;
    }

    public String getHseObservationName() {
        return hseObservationName;
    }

    public void setHseObservationName(String hseObservationName) {
        this.hseObservationName = hseObservationName;
    }

    public int getObservationSubClassId() {
        return observationSubClassId;
    }

    public void setObservationSubClassId(int observationSubClassId) {
        this.observationSubClassId = observationSubClassId;
    }

    public String getHseObservationSubClassName() {
        return hseObservationSubClassName;
    }

    public void setHseObservationSubClassName(String hseObservationSubClassName) {
        this.hseObservationSubClassName = hseObservationSubClassName;
    }

    public int getBuildingId() {
        return buildingId;
    }

    public void setBuildingId(int buildingId) {
        this.buildingId = buildingId;
    }

    public String getBuildingName() {
        return buildingName;
    }

    public void setBuildingName(String buildingName) {
        this.buildingName = buildingName;
    }

    public int getFloorId() {
        return floorId;
    }

    public void setFloorId(int floorId) {
        this.floorId = floorId;
    }

    public String getFloorName() {
        return floorName;
    }

    public void setFloorName(String floorName) {
        this.floorName = floorName;
    }

    public int getDepartmentId() {
        return departmentId;
    }

    public void setDepartmentId(int departmentId) {
        this.departmentId = departmentId;
    }

    public String getDepartmentName() {
        return departmentName;
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    public List<byte[]> getBeforePictures() {
        return beforePictures;
    }

    public void setBeforePictures(List<byte[]> beforePictures) {
        this.beforePictures = beforePictures;
    }

    public List<byte[]> getAfterPictures() {
        return afterPictures;
    }

    public void setAfterPictures(List<byte[]> afterPictures) {
        this.afterPictures = afterPictures;
    }

    public String getRiskLevel() {
        return riskLevel;
    }

    public void setRiskLevel(String riskLevel) {
        this.riskLevel = riskLevel;
    }

    public boolean isObservationStatus() {
        return observationStatus;
    }

    public void setObservationStatus(boolean observationStatus) {
        this.observationStatus = observationStatus;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    @Override
    public String toString() {
        return "ObservationModel{" +
                "observationClassId=" + observationClassId +
                ", hseObservationName='" + hseObservationName + '\'' +
                ", observationSubClassId=" + observationSubClassId +
                ", hseObservationSubClassName='" + hseObservationSubClassName + '\'' +
                ", departmentId=" + departmentId +
                ", departmentName='" + departmentName + '\'' +
                ", beforePictures=" + beforePictures.size() +
                ", afterPictures=" + afterPictures.size() +
                ", riskLevel='" + riskLevel + '\'' +
                ", observationStatus=" + observationStatus +
                ", description='" + description + '\'' +
                '}';
    }
}
